FileChannel.MapMode (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.nio.channels, class: FileChannel, class: MapMode
Keywords: java.nio.channels.FileChannel.MapMode class

# Class FileChannel.MapMode

java.lang.Object
java.nio.channels.FileChannel.MapMode

Enclosing class:
  `FileChannel`

public static class FileChannel.MapMode extends Object
A file-mapping mode.

Since:
  1.4
See Also:
  - `FileChannel.map(FileChannel.MapMode, long, long)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FileChannel.MapMode`
  `PRIVATE`
  Mode for a private (copy-on-write) mapping.
  `static final FileChannel.MapMode`
  `READ_ONLY`
  Mode for a read-only mapping.
  `static final FileChannel.MapMode`
  `READ_WRITE`
  Mode for a read/write mapping.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string describing this file-mapping mode.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### READ_ONLY

    public static final FileChannel.MapMode READ_ONLY
    Mode for a read-only mapping.

  - ### READ_WRITE

    public static final FileChannel.MapMode READ_WRITE
    Mode for a read/write mapping.

  - ### PRIVATE

    public static final FileChannel.MapMode PRIVATE
    Mode for a private (copy-on-write) mapping.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string describing this file-mapping mode.
    Overrides:
      `toString` in class `Object`
    Returns:
      A descriptive string